//
//  AppController.h
//  Immutation
//
//  Created by Matthew McCowan on 7/11/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGRegistrationController.h"
#import "QGImageManager.h"
#import "QGChainManager.h"
#import "QGPreferences.h"
#import "QGLicenseController.h"


@interface AppController : QGObject
{
	// Instance
	QGRegistrationController *registrationController;

	
	// Outlets
	IBOutlet QGImageManager      *imageManager;
	IBOutlet QGChainManager      *chainManager;
	IBOutlet NSTabView           *tabs;
	IBOutlet NSWindow            *mainWindow;
	IBOutlet QGLicenseController *licenseController;
}

// Initialization
- (void) awakeFromNib;
- (void)applicationDidFinishLaunching:(NSNotification *)notification;



// Setters and Getters


// Actions
- (IBAction) closeImage:(id)sender;
- (IBAction) closeAllImages:(id)sender;
- (IBAction) saveImage:(id)sender;
- (IBAction) saveImageAs:(id)sender;
- (IBAction) saveAllImages:(id)sender;
- (IBAction) showRegistrationPanel:(id)sender;
- (IBAction) changeTab:(id)sender;


// Delegate Actions
- (IBAction) cut:(id)sender;
- (IBAction) copy:(id)sender;
- (IBAction) paste:(id)sender;
- (IBAction) delete:(id)sender;


// Delegate Methods
- (BOOL) application:(NSApplication *)theApplication openFile:(NSString *)filename;
- (BOOL) applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)theApplication;
- (BOOL) validateMenuItem:(NSMenuItem *)menuItem;

@end
