//
//  QGChain.h
//  Immutation
//
//  Created by Matthew McCowan on 7/11/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"


@interface QGChain : QGObject <NSCoding>
{
	// Instance
	NSMutableArray *filterNames;
	NSMutableArray *filterInputs;
}


// Setters and Getters
- (unsigned) filterNameCount;
- (unsigned) inputValuesCount;
- (NSString *) filterNameAtIndex:(unsigned)index;
- (QGKeyedNumberedValue *) inputValueAtIndex:(unsigned)index;

- (void) setFilterName:(NSString *)name atIndex:(unsigned)index;
- (void) setInputValue:(id)value forInputKey:(NSString *)inputKey atFilterNumber:(unsigned)index;


// Archiving
- (void) setFilterNames:(NSMutableArray *)newFilterNames;
- (void) setFilterInputs:(NSMutableArray *)newFilterInputs;
- (void) encodeWithCoder:(NSCoder *)coder;
- (id) initWithCoder:(NSCoder *)coder;

@end
